Get all sub-sources in the firm Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by name.
-
Whether to include archived sub-sources. Valid options are [exclude, include, only]. Defaults to 'exclude'.
-
Field to sort by. Valid fields are [position, name, created_at]. Negative sign to denote DESC. Defaults to 'position'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/lead-sub-sources
curl \
--request GET 'https://api.plannrcrm.com/api/v1/lead-sub-sources' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "eca1ecc0-1a0d-4d72-afb1-5720ec595303",
"name": "Google",
"description": "Paid search on Google",
"position": 1,
"archived": false,
"lead_source": {
"uuid": "fdb4dbce-c27c-4ff3-8ac9-78143be7dd8a",
"name": "Website",
"description": "Enquiries via the contact page",
"position": 1,
"archived": false,
"sub_sources": {
"uuid": "2e77cfbb-3318-4892-9d33-c9540ece3315",
"name": "Google",
"description": "Paid search on Google",
"position": 1,
"archived": false,
"created_at": "2026-11-18T20:11:50+00:00",
"updated_at": "2026-11-18T20:11:50+00:00"
},
"created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00"
},
"created_at": "2026-11-18T20:11:43+00:00",
"updated_at": "2026-11-18T20:11:43+00:00"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}